Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 524226 - dumpconf init script collected problems LSB-compilant
Summary: dumpconf init script collected problems LSB-compilant
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: s390utils
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-18 13:12 UTC by Yulia Kopkova
Modified: 2010-03-10 14:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-10 14:05:34 UTC
Type: ---


Attachments (Terms of Use)

Description Yulia Kopkova 2009-09-18 13:12:45 UTC
Description of problem:

Description of problem:
According to https://fedoraproject.org/wiki/FCNewInit/Initscripts dumpconf init
script have some LSB-compilant problems:

1. status action should return code "3" for stopped service
   # service dumpconf stop
   # service dumpconf status ; echo $?
now: 0
expected: 3

2. nonexist action should have returncode 3 and usage info:
   # service dumpconf nonexist ; echo $?   
now: 1
expected: 3 

3. insufficient rights, there should be return code 4
   # su testuserqa -c "service dumpconf restart"; echo $?
now: 1 
expected: 4

4. /var/lock/subsys/dumpconf should be created when service starts and if dumpconf is dead and /var/lock/subsys/dumpconf lock file exists then
status action should return code "2".

5. dumpconf init script should also support "condrestart" actions.

The reason of filling it is "InitScripts LSB compliance project"

Comment 1 Yulia Kopkova 2009-09-24 13:04:47 UTC
(In reply to comment #0)
> 
> 2. nonexist action should have returncode 3 and usage info:
>    # service dumpconf nonexist ; echo $?   
> now: 1
> expected: 3 
> 

Update:

2. nonexist action should have return code "2" and usage info:
    # service dumpconf nonexist ; echo $?   
 now: 1
 expected: 2

Comment 2 Bug Zapper 2009-11-16 12:36:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Dan Horák 2010-03-10 14:05:34 UTC
dumpconf isn't any long-time running service but a mechanism to configure kernel dump feature on s390x. It's developed by IBM, documented by IBM and it wouldn't be wise to diverge from that.


Note You need to log in before you can comment on or make changes to this bug.